use std::env::args;

use log::info;
use rsbag::{Bag, Result};

fn main() -> Result<()> {
    color_eyre::install()?;
    env_logger::init();

    let args: Vec<_> = args().collect();
    if args.len() != 2 {
        eprintln!("Usage: {} <bag path>", args[0]);
        return Ok(());
    }

    let bag_path = &args[1];
    let mut bag = Bag::open(bag_path)?;

    let info = bag.compute_info()?;
    info!("bag info: {:#?}", info);

    Ok(())
}
